This page describes how to manage Goldengate connections in Google Cloud.
Before you begin
Make sure that you have the required Identity and Access Management (IAM) roles and permissions to perform the tasks described in this page:
roles/oracledatabase.goldenGateConnectionAdminroles/oracledatabase.goldenGateConnectionViewer
For more information about how to assign roles, see Apply IAM roles.
View connection details
To view information about your connections, do the following:
gcloud
List connections
Use the
gcloud oracle-database goldengate-connections listcommand to list connections.gcloud oracle-database goldengate-connections list \ --project=PROJECT_ID \ --location=REGIONReplace the following:
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where you want to view the connections.
View connection details
Use the
gcloud oracle-database goldengate-connections describecommand to view details of a connection.gcloud oracle-database goldengate-connections describe CONNECTION_ID \ --project=PROJECT_ID \ --location=REGIONReplace CONNECTION_ID with the ID of your connection.
API
List connections
To list connections, run the following
curlcommand:curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateConnections"
Replace the following:
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this project ID is the ID of your host project.
- REGION: the region where you want to view the connections.
View connection details
To view details of a connection, run the following
curlcommand:curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateConnections/CONNECTION_ID"
Replace CONNECTION_ID with the ID of your connection.
Delete a connection
You can delete a connection even if it's assigned to a deployment. Deleting a connection also deletes its connection assignment.
gcloud
Use the gcloud oracle-database goldengate-connections delete command to
delete a connection.
gcloud oracle-database goldengate-connections delete CONNECTION_ID \
--project=PROJECT_ID \
--location=REGION
Replace the following:
- CONNECTION_ID: the ID of the connection.
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where your connection is located.
API
To delete a connection, run the following curl command:
curl -X DELETE \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateConnections/CONNECTION_ID"
Replace the following:
- PROJECT_ID: the ID of your Google Cloud project which contains the connection to be deleted. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where your connection is located.
- CONNECTION_ID: the ID of your connection.